#include <iostream>
#include <vector>
#include <algorithm>
using namespace std;
int main() {
	int64_t n;
	cin>>n;
	vector<int64_t> a(n), b(n);
	for (int64_t i=0; i<n; i++) cin>>a[i];
	for (int64_t i=0; i<n; i++) cin>>b[i];
	int64_t mv=0;
	for (int64_t l=0; l<n; l++) {
		int64_t xv=0;
		int64_t av=~0;
		for (int64_t r=l; r<n; r++) {
			xv^=a[r];
			av&=b[r];
			int64_t cv=xv*av;
			mv=max(mv, cv);
		}
	}
	cout<<mv;
}